Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Class AbstractRemoteCallUIBean

    java.lang.Object
      org.apache.struts2.components.Component
          org.apache.struts2.components.UIBean
              org.apache.struts2.components.ClosingUIBean
                  org.apache.struts2.components.AbstractRemoteCallUIBean

All Implemented Interfaces:
  RemoteUICallBean

Direct Known Subclasses:
  Anchor, Div

    public abstract class AbstractRemoteCallUIBean

extends ClosingUIBean
implements RemoteUICallBean

TODO: Document AbstractRemoteCallUIBean.

Version:
  $Revision: 508280 $ $Date: 2007-02-15 21:07:56 -0500 (Thu, 15 Feb 2007) $
Author:
  $Author: musachy $

Field Summary
`protected String` | `afterLoading`
`protected String` | `beforeLoading`
`protected String` | `errorText`
`protected String` | `executeScripts`
`protected String` | `formFilter`
`protected String` | `formId`
`protected String` | `handler`
`protected String` | `href`
`protected String` | `indicator`
`protected String` | `listenTopics`
`protected String` | `loadingText`
`protected String` | `notifyTopics`
`protected String` | `showErrorTransportText`
`protected String` | `showLoadingText`

Fields inherited from class org.apache.struts2.components.ClosingUIBean
`openTemplate`

Fields inherited from class org.apache.struts2.components.UIBean
`accesskey, cssClass, cssStyle, defaultTemplateDir, defaultUITheme, disabled, key, label, labelPosition, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, request, required, requiredposition, response, tabindex, template, templateDir, templateEngineManager, templateSuffix, theme, title, tooltip, tooltipConfig, value`

Fields inherited from class org.apache.struts2.components.Component
`actionMapper, COMPONENT_STACK, id, parameters, stack`

Constructor Summary
`AbstractRemoteCallUIBean(ValueStack stack, HttpServletRequest request, HttpServletResponse response)`

Method Summary
`void` | `evaluateExtraParams()`
`void` | `setAfterLoading(String afterLoading)`
`void` | `setBeforeLoading(String beforeLoading)`
`void` | `setErrorText(String errorText)`
`void` | `setExecuteScripts(String executeScripts)`
`void` | `setFormFilter(String formFilter)`
`void` | `setFormId(String formId)`
`void` | `setHandler(String handler)`
`void` | `setHref(String href)`
`void` | `setIndicator(String indicator)`
`void` | `setListenTopics(String listenTopics)`
`void` | `setLoadingText(String loadingText)`
`void` | `setNotifyTopics(String notifyTopics)`
`void` | `setShowErrorTransportText(String showError)`
`void` | `setShowLoadingText(String showLoadingText)`

Methods inherited from class org.apache.struts2.components.ClosingUIBean
`getDefaultOpenTemplate, setOpenTemplate, start`

Methods inherited from class org.apache.struts2.components.UIBean
`addFormParameter, buildTemplateName, enableAncestorFormCustomOnsubmit, end, escape, evaluateNameValue, evaluateParams, getDefaultTemplate, getTemplate, getTemplateDir, getTheme, getTooltipConfig, getValueClassType, mergeTemplate, populateComponentHtmlId, setAccesskey, setCssClass, setCssStyle, setDefaultTemplateDir, setDefaultUITheme, setDisabled, setKey, setLabel, setLabelposition, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTemplateEngineManager, setTheme, setTitle, setTooltip, setTooltipConfig, setValue`

Methods inherited from class org.apache.struts2.components.Component
`addAllParameters, addParameter, altSyntax, copyParams, determineActionURL, determineNamespace, end, fieldError, findAncestor, findString, findString, findValue, findValue, findValue, getComponentStack, getId, getParameters, getStack, popComponentStack, setActionMapper, setId, toString, usesBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### href

    protected String href

### errorText

    protected String errorText

### afterLoading

    protected String afterLoading

### beforeLoading

    protected String beforeLoading

### executeScripts

    protected String executeScripts

### loadingText

    protected String loadingText

### listenTopics

    protected String listenTopics

### handler

    protected String handler

### formId

    protected String formId

### formFilter

    protected String formFilter

### notifyTopics

    protected String notifyTopics

### showErrorTransportText

    protected String showErrorTransportText

### indicator

    protected String indicator

### showLoadingText

    protected String showLoadingText

Constructor Detail

### AbstractRemoteCallUIBean

    public AbstractRemoteCallUIBean(ValueStack stack,
                                    HttpServletRequest request,
                                    HttpServletResponse response)

Method Detail

### evaluateExtraParams

    public void evaluateExtraParams()

  Overrides:
    `evaluateExtraParams` in class `UIBean`

### setListenTopics

    public void setListenTopics(String listenTopics)

  Specified by:
    `setListenTopics` in interface `RemoteUICallBean`

### setHref

    public void setHref(String href)

  Specified by:
    `setHref` in interface `RemoteUICallBean`

### setErrorText

    public void setErrorText(String errorText)

  Specified by:
    `setErrorText` in interface `RemoteUICallBean`

### setAfterLoading

    public void setAfterLoading(String afterLoading)

  Specified by:
    `setAfterLoading` in interface `RemoteUICallBean`

### setBeforeLoading

    public void setBeforeLoading(String beforeLoading)

  Specified by:
    `setBeforeLoading` in interface `RemoteUICallBean`

### setExecuteScripts

    public void setExecuteScripts(String executeScripts)

  Specified by:
    `setExecuteScripts` in interface `RemoteUICallBean`

### setLoadingText

    public void setLoadingText(String loadingText)

  Specified by:
    `setLoadingText` in interface `RemoteUICallBean`

### setHandler

    public void setHandler(String handler)

  Specified by:
    `setHandler` in interface `RemoteUICallBean`

### setFormFilter

    public void setFormFilter(String formFilter)

  Specified by:
    `setFormFilter` in interface `RemoteUICallBean`

### setFormId

    public void setFormId(String formId)

  Specified by:
    `setFormId` in interface `RemoteUICallBean`

### setNotifyTopics

    public void setNotifyTopics(String notifyTopics)

  Specified by:
    `setNotifyTopics` in interface `RemoteUICallBean`

### setShowErrorTransportText

    public void setShowErrorTransportText(String showError)

  Specified by:
    `setShowErrorTransportText` in interface `RemoteUICallBean`

### setIndicator

    public void setIndicator(String indicator)

  Specified by:
    `setIndicator` in interface `RemoteUICallBean`

### setShowLoadingText

    public void setShowLoadingText(String showLoadingText)

  Specified by:
    `setShowLoadingText` in interface `RemoteUICallBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.